Package com.smartgwt.client.types

# Enum NavigationMethod

java.lang.Object
java.lang.Enum<NavigationMethod>
com.smartgwt.client.types.NavigationMethod

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<NavigationMethod>`, `Constable`

public enum NavigationMethod extends Enum<NavigationMethod> implements ValueEnum
Method of, or reason for, navigation between panes.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BACK_CLICK`
  a "back" `NavigationButton` has been clicked
  `HISTORY_CALLBACK`
  browser navigation triggered `SplitPane` navigation
  `NAVIGATE_PANE`
  application code directly called `navigatePane()`
  `PROGRAMMATIC`
  application code called `setCurrentPane()`, `showNavigationPane()`, `showListPane()`, `showDetailPane()`, etc.
  `SELECTION_CHANGED`
  a seletion change automatically called `navigatePane()`
  `SIDE_CLICK`
  a side panel `NavigationButton` has been clicked

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static NavigationMethod`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static NavigationMethod[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BACK_CLICK

    public static final NavigationMethod BACK_CLICK
    a "back" `NavigationButton` has been clicked

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "backClick".

  - ### SIDE_CLICK

    public static final NavigationMethod SIDE_CLICK
    a side panel `NavigationButton` has been clicked

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "sideClick".

  - ### PROGRAMMATIC

    public static final NavigationMethod PROGRAMMATIC
    application code called `setCurrentPane()`, `showNavigationPane()`, `showListPane()`, `showDetailPane()`, etc.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "programmatic".

  - ### NAVIGATE_PANE

    public static final NavigationMethod NAVIGATE_PANE
    application code directly called `navigatePane()`

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "navigatePane".

  - ### SELECTION_CHANGED

    public static final NavigationMethod SELECTION_CHANGED
    a seletion change automatically called `navigatePane()`

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "selectionChanged".

  - ### HISTORY_CALLBACK

    public static final NavigationMethod HISTORY_CALLBACK
    browser navigation triggered `SplitPane` navigation

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "historyCallback".

- ## Method Details

  - ### values

    public static NavigationMethod[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static NavigationMethod valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`